[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

FC3: MatLAB fails with selinux-policy-targeted 1.17.30-3.2



Hi folks,

I just yum-updated to the latest selinux-policy-targeted (0:1.17.30-3.2)
and now MatLAB fails to run.  Previously, it worked without any
problems.  But now it reports:

  /opt/matlab/bin/glnx86/MATLAB: error while loading shared libraries: 
  /opt/matlab/bin/glnx86/libmwumfpackv4.3.so: cannot restore segment
    prot after reloc: Permission denied

Setting SELinux to "permissive" allows MatLAB to run but its not a
graceful fix.  I'd like to find a way to keep SELinux running without
disabling MatLAB.

Can someone please suggest how to do this?

thanks!
Ed

-- 
Edward H. Hill III, PhD
office:  MIT Dept. of EAPS;  Rm 54-1424;  77 Massachusetts Ave.
             Cambridge, MA 02139-4307
emails:  eh3 mit edu                ed eh3 com
URLs:    http://web.mit.edu/eh3/    http://eh3.com/
phone:   617-253-0098
fax:     617-253-4464


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]